'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelPluginTransformFlowStripTypes = require('babel-plugin-transform-flow-strip-types');

var _babelPluginTransformFlowStripTypes2 = _interopRequireDefault(_babelPluginTransformFlowStripTypes);

var _babelPluginAddModuleExports = require('babel-plugin-add-module-exports');

var _babelPluginAddModuleExports2 = _interopRequireDefault(_babelPluginAddModuleExports);

var _babelPluginTransformEs3MemberExpressionLiterals = require('babel-plugin-transform-es3-member-expression-literals');

var _babelPluginTransformEs3MemberExpressionLiterals2 = _interopRequireDefault(_babelPluginTransformEs3MemberExpressionLiterals);

var _babelPluginTransformEs3PropertyLiterals = require('babel-plugin-transform-es3-property-literals');

var _babelPluginTransformEs3PropertyLiterals2 = _interopRequireDefault(_babelPluginTransformEs3PropertyLiterals);

var _babelPluginTransformClassProperties = require('babel-plugin-transform-class-properties');

var _babelPluginTransformClassProperties2 = _interopRequireDefault(_babelPluginTransformClassProperties);

var _babelPluginTransformObjectRestSpread = require('babel-plugin-transform-object-rest-spread');

var _babelPluginTransformObjectRestSpread2 = _interopRequireDefault(_babelPluginTransformObjectRestSpread);

var _babelPluginTransformExportExtensions = require('babel-plugin-transform-export-extensions');

var _babelPluginTransformExportExtensions2 = _interopRequireDefault(_babelPluginTransformExportExtensions);

var _babelPluginTransformRegenerator = require('babel-plugin-transform-regenerator');

var _babelPluginTransformRegenerator2 = _interopRequireDefault(_babelPluginTransformRegenerator);

var _fastAsync = require('fast-async');

var _fastAsync2 = _interopRequireDefault(_fastAsync);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *
 */
var preset = {
  presets: [['es2015', { loose: true }]],

  plugins: [
  // Flow
  _babelPluginTransformFlowStripTypes2.default,

  // Legacy
  _babelPluginAddModuleExports2.default, _babelPluginTransformEs3PropertyLiterals2.default, _babelPluginTransformEs3MemberExpressionLiterals2.default,

  // Unstable
  _babelPluginTransformClassProperties2.default, _babelPluginTransformObjectRestSpread2.default, _babelPluginTransformExportExtensions2.default,

  // Runtime
  [_babelPluginTransformRegenerator2.default, {
    // Async functions are converted to generators by babel-preset-latest
    async: false
  }], [_fastAsync2.default, {
    compiler: {
      sourcemap: true,
      promises: true
    },
    useModule: 'nodent-runtime'
  }]]
}; /**
    *
    */
exports.default = preset;
module.exports = exports['default'];